/*******************************************************************************
 * Copyright (c) 2004 Berthold Daum. All rights reserved. This program and the
 * accompanying materials are made available under the terms of the Common
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors: Berthold Daum
 ******************************************************************************/
package com.bdaum.Hex.game;

import org.eclipse.swt.widgets.Canvas;

import com.bdaum.Hex.views.IStatusListener;

public interface IGame {
	public static final int EMPTY = 0, WHITE = 1, BLACK = 2;

	public static final int LEVEL1 = 1, LEVEL2 = 2;

	/**
	 * Set drawing surface
	 * 
	 * @param canvas -
	 *            Drawing surface
	 */
	public void setDrawingSurface(Canvas canvas);

	/**
	 * Set StatusListener
	 * 
	 * @param listener -
	 *            StatusListener
	 */
	public void setStatusListener(IStatusListener listener);

	/**
	 * Start game
	 */
	public void newGame();

	/**
	 * Set the players color
	 * 
	 * @param color -
	 *            new player color
	 */
	public void setPlayerColor(int color);

	/**
	 * Set game level
	 * 
	 * @param level -
	 *            Game level
	 */
	public void setLevel(int level);
}